For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETList all triggers
      • POSTCreate a new trigger
      • PUTUpdate an existing trigger
      • DELDelete a trigger
      • POSTHandle Slack Events
      • POSTHandle Telegram Webhook
      • POSTHandle crons
      • POSTUpdate cron job authentication headers
LogoLogo
Scout DocsAccess Scout
EndpointsTriggers

Create a new trigger

Beta
POST
https://api.scoutos.com/v2/triggers
POST
/v2/triggers
$curl -X POST https://api.scoutos.com/v2/triggers \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "action": {
> "workflow_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
> }
>}'
1{
2 "data": {
3 "trigger_config": {
4 "trigger_display_name": "When message is sent to Slack Channel",
5 "trigger_type": "slack.message",
6 "action": {
7 "action_type": "workflow.execute",
8 "workflow_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
9 },
10 "status": "active",
11 "run_conditions": {
12 "rules": [
13 {
14 "conditions": [
15 {
16 "field": "channel_id",
17 "operator": "Any Of",
18 "value": [
19 "C1234567890"
20 ]
21 }
22 ]
23 }
24 ]
25 }
26 },
27 "organization_id": "org-9876543210",
28 "trigger_id": "trg-1234567890",
29 "last_updated_at": "2024-01-15T09:30:00Z",
30 "created_at": "2024-01-15T09:30:00Z",
31 "revision_id": "rev-20240115-01"
32 }
33}
Was this page helpful?
Previous

Update an existing trigger

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
SlackTriggerConfigobjectRequired
OR
TelegramTriggerConfigobjectRequired
OR
CronTriggerConfigobjectRequired

Response

Successful Response
dataobject or null

Errors

422
Unprocessable Entity Error